> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Poshmark item comments

> Comments on a Poshmark listing (author, text, date), by listing id or URL. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-poshmark-items-comments
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-poshmark-items-comments:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Poshmark item comments
      description: >-
        Comments on a Poshmark listing (author, text, date), by listing id or
        URL. 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                item:
                  description: >-
                    Listing. e.g. Listing id or URL, e.g.
                    6865651dd6c0dc3f3fdfc8ea
                  type: string
                domain:
                  description: >-
                    Domain. Options: poshmark.com = poshmark.com, poshmark.ca =
                    poshmark.ca
                  type: string
                  enum:
                    - poshmark.com
                    - poshmark.ca
                  default: poshmark.com
                max_items:
                  description: Max comments (up to 500)
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 25
              required:
                - item
            example:
              item: Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  item:
                    type: string
                  item_id:
                    type: string
                  domain:
                    type: string
                  max_items:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          '@type':
                            type: string
                          id:
                            type: string
                          text:
                            type: string
                          author:
                            type: object
                            properties:
                              '@type':
                                type: string
                              id:
                                type: string
                              alias:
                                type: string
                              display_handle:
                                type: string
                              full_name:
                                type: string
                              image:
                                type: string
                          created_at:
                            type: integer
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@type':
                              type: string
                            id:
                              type: string
                            text:
                              type: string
                            author:
                              type: object
                              properties:
                                '@type':
                                  type: string
                                id:
                                  type: string
                                alias:
                                  type: string
                                display_handle:
                                  type: string
                                full_name:
                                  type: string
                                image:
                                  type: string
                            created_at:
                              type: integer
                      not_found:
                        type: boolean
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: poshmark_item_comments
                item: Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
                item_id: 6865651dd6c0dc3f3fdfc8ea
                domain: poshmark.com
                max_items: 2
                partial: false
                human: |-
                  # Poshmark item comments

                  - **Item:** Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
                  - **Domain:** poshmark.com
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 1.23 MB
                machine:
                  total_items: 2
                  first_item:
                    '@type': PoshmarkComment
                    id: 69b9fc80cb08cf0511bd5826
                    text: >-
                      Can you please take a picture of the size dot, rip tag and
                      the gusset area so I can make sure there’s no pilling
                      please?
                    author:
                      '@type': PoshmarkUserPreview
                      id: 60e85bcfe1d9902bd6943c01
                      alias: tiffany_shank
                      display_handle: tiffany_shank
                      full_name: Tiffany Shank
                      image: >-
                        https://di2ponv0v5otw.cloudfront.net/users/2025/05/05/18/t_68195f5e020f934dc2a43508.jpg
                    created_at: 1773796480
                  items:
                    - '@type': PoshmarkComment
                      id: 69b9fc80cb08cf0511bd5826
                      text: >-
                        Can you please take a picture of the size dot, rip tag
                        and the gusset area so I can make sure there’s no
                        pilling please?
                      author:
                        '@type': PoshmarkUserPreview
                        id: 60e85bcfe1d9902bd6943c01
                        alias: tiffany_shank
                        display_handle: tiffany_shank
                        full_name: Tiffany Shank
                        image: >-
                          https://di2ponv0v5otw.cloudfront.net/users/2025/05/05/18/t_68195f5e020f934dc2a43508.jpg
                      created_at: 1773796480
                    - '@type': PoshmarkComment
                      id: 69ba147c7f1782865db5e873
                      text: >-
                        @tiffany_shank, It will be tomorrow before I can do that
                        but I sure will.
                      author:
                        '@type': PoshmarkUserPreview
                        id: 5bd133dfde8c5281e758221b
                        alias: trishabnanny
                        display_handle: trishabnanny
                        full_name: Trisha Barron
                        image: >-
                          https://di2ponv0v5otw.cloudfront.net/users/2019/03/10/5bd133dfde8c5281e758221b/t_5c858298008f3ce077faa585.jpeg
                      created_at: 1773802620
                  not_found: false
                  proxy_traffic_bytes: 1285579
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````